Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002409KdenliveFile Loadingpublic2011-11-16 21:172011-11-21 19:33
ReporterBruno 
Assigned Toj-b-m 
PrioritylowSeveritycrashReproducibilityalways
StatusfeedbackResolutionopen 
Platform32 bit intel and alikeOSUbuntuOS Version10.04
Product Version0.8.2 
Target VersionFixed in Version 
Summary0002409: Kdenlive crashes when loading a project
DescriptionWhen I try to load a project, Kdenlive crashes.
It happens everytime I open a project with "recently opened files" in the files menu.
The project was made with an older version of kdenlive. I though that it was the reason but, when using "open file..." menu, it works.


Sorry for my bad english.. I'm french.
TagsNo tags attached.
Build/Install Method3rd party package
Attached Files? file icon kdenlive-20111116.kcrash [^] (8,581 bytes) 2011-11-16 21:17 [Show Content]
? file icon kdenlive-20111118-131400.kcrash [^] (9,378 bytes) 2011-11-18 13:17 [Show Content]
? file icon kdenlive-20111121-165416.kcrash [^] (11,386 bytes) 2011-11-21 16:56 [Show Content]
? file icon EnglandMix.kdenlive [^] (156,395 bytes) 2011-11-21 18:30
? file icon fixed.kdenlive [^] (156,395 bytes) 2011-11-21 19:14

- Relationships

-  Notes
(0007588)
j-b-m (administrator)
2011-11-16 22:17

This issue should be solved in our new release that will be out soon. You can help us making sure it is solved by trying the latest development version using the sunab experimental ppa:
https://launchpad.net/~sunab/+archive/kdenlive-svn [^]
(0007591)
bartje (reporter)
2011-11-18 13:16

I also have trouble opening a file. In attachment I've put the crash report. I really hope this will be fixed soon.

Greets,
Bart
(0007605)
bartje (reporter)
2011-11-21 16:57

Latest update (today) did not resolve the issue. Thought I'd mention it. I've added another crash report to the attached files. Let me know if it's necessary or not.

Greets,
Bart
(0007606)
j-b-m (administrator)
2011-11-21 17:39

Hmm, I think the project file is corrupted, can you attach it here or send it to me: jb at kdenlive.org
(0007607)
bartje (reporter)
2011-11-21 18:37

Hi,

I've just uploaded the file in attachment. Thanks for looking into it.

I've read somewhere, I don't know where, it could be because of comma or dot seperator in an ubuntu language system. I'm not that deep into understanding linux yet. If it would be the case, it's an ubuntu bug that should have been solved, for that language (I've forgotten which it was). Anyways, here it's Dutch, so, maybe it wasn't the only language affected...

I would find it hard to believe the file is corrupted, but Kdenlive shows a message the file needed to be upgraded to the latest kdenlive file format. It is created in an older version of Kdenlive. That's another option to explore to find the problem.

I hope I don't send you on a wild goose chase with my thoughts..

Greets,
Bart
(0007608)
j-b-m (administrator)
2011-11-21 19:18

You were right, it was a locale issue. Before MLT 0.7.6 and Kdenlive 0.8.2, locales were not really handled and it sometimes worked by chance...

However, your file contained a mix of dot and comma as separator, without any locale defined. I converted all commas to dots, which should be the default separator when no locale is defined in the document (Since MLT 0.7.6, the locale is set with the LC_NUMERIC argument in the header).

The fixed file is attached as "fixed.kdenlive", please test it.
(0007609)
bartje (reporter)
2011-11-21 19:29

Hey,

thank you very much, works like a charm now :-D. Finally I can finish my project.
I hope the problems won't rise again when I save it now. I mean, the problem with the locales should be fixed in the latest versions of mlt and kdenlive now, right?

Again, thank you very much.

Bart
(0007610)
j-b-m (administrator)
2011-11-21 19:33

Yes, when you save again the project with a recent MLT / Kdenlive version, all locale info should be correctly saved. Otherwise let me know...

regards

- Issue History
Date Modified Username Field Change
2011-11-16 21:17 Bruno New Issue
2011-11-16 21:17 Bruno File Added: kdenlive-20111116.kcrash
2011-11-16 22:17 j-b-m Note Added: 0007588
2011-11-16 22:17 j-b-m Assigned To => j-b-m
2011-11-16 22:17 j-b-m Status new => feedback
2011-11-18 13:16 bartje Note Added: 0007591
2011-11-18 13:17 bartje File Added: kdenlive-20111118-131400.kcrash
2011-11-21 16:56 bartje File Added: kdenlive-20111121-165416.kcrash
2011-11-21 16:57 bartje Note Added: 0007605
2011-11-21 17:39 j-b-m Note Added: 0007606
2011-11-21 18:30 bartje File Added: EnglandMix.kdenlive
2011-11-21 18:37 bartje Note Added: 0007607
2011-11-21 19:14 j-b-m File Added: fixed.kdenlive
2011-11-21 19:18 j-b-m Note Added: 0007608
2011-11-21 19:29 bartje Note Added: 0007609
2011-11-21 19:33 j-b-m Note Added: 0007610


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker